Skip to content
POST/{organizationId}/{mandateId}/booking/events/{eventId}/offer

Update event offer

Updates the offer settings of a specific event for a given mandate

Required permissions:

  • mandate.read

  • event.edit

Path Parameters

organizationIdstringrequired
mandateIdstringrequired
eventIdstringrequired

Request Body required

Content-Type: application/json

modestringrequired

Options:

disabledprivateprotectedpublic
offerIdstring | nullrequired
useCustomRatesbooleanoptional

Default: false

applyToFutureEventsbooleanoptional

Default: false

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/booking/events/{eventId}/offer
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/booking/events/{eventId}/offer' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "mode": "disabled",
  "offerId": "string"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Response

200
{
  "inserted": [
    "000000000000000000000001"
  ],
  "updated": [
    "000000000000000000000001"
  ],
  "deleted": [
    "000000000000000000000001"
  ]
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}